PHP Manual
Prev |  | Next

# imagefilledrectangle

(PHP 3, PHP 4, PHP 5)

imagefilledrectangle -- Draw a filled rectangle

## Description

bool imagefilledrectangle ( resource image, int x1, int y1, int x2, int y2, int color )

Creates a rectangle filled with `color` in the given `image` starting at point 1 and ending at point 2. 0, 0 is the top left corner of the image.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`x1`

  x-coordinate for point 1

`y1`

  y-coordinate for point 1

`x2`

  x-coordinate for point 2

`y2`

  y-coordinate for point 2

`color`

  The fill color. A color identifier created with imagecolorallocate()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagefilledpolygon | Up | imagefilltoborder